Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## griffon.transform
[Java] Annotation Type ThreadingAware

    java.lang.Object
      griffon.transform.ThreadingAware

    @Retention(RetentionPolicy.SOURCE)
    @Target({ElementType.TYPE})
    @GroovyASTTransformationClass("org.codehaus.griffon.ast.ThreadingAwareASTTransformation")
    public @interface ThreadingAware

Annotates a class.

When annotating a class it indicates that it will be able to execute code using the Application's threading facilities.

The following methods will be added to classes annotated with @ThreadingAware

- `public boolean isUIThread()`
- `public void execInsideUIAsync(Runnable runnable)`
- `public void execInsideUISync(Runnable runnable)`
- `public void execOutsideUI(Runnable runnable)`
- `public Future execFuture(ExecutorService executorService, Closure closure)`
- `public Future execFuture(Closure closure)`
- `public Future execFuture(ExecutorService executorService, Callable callable)`
- `public Future execFuture(Callable callable)`

Authors:
  Andres Almiray

See Also:
  ThreadingHandler
  org.codehaus.griffon.ast.ThreadingAwareASTTransformation

Since:
  0.9.3

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Groovy Documentation